> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取视觉验证结果

> 获取视觉验证生成的真人素材组。

H5 视觉验证流程结束后轮询此 Action。成功结果会返回已验证人员对应的 TokenLab 素材组 ID。

## 接口与认证

```text theme={null}
POST https://api.tokenlab.sh/api/v3?Action=GetVisualValidateResult&Version=2024-01-01
Authorization: Bearer <TOKENLAB_API_KEY>
Content-Type: application/json
```

发送 [创建视觉验证会话](/zh/api-reference/video/create-visual-validation-session) 返回的 `BytedToken`。如果创建时设置了 `ProjectName`，此处必须发送相同且区分大小写的值；否则可省略或使用 `default`。

浏览器回调后，结果可能不会立即就绪。请重复同一请求，直到返回 `Result.GroupId`，或 30 分钟的 `BytedToken` 过期。使用同一 token 重复成功请求，会返回同一个已映射的 `GroupId`。

创建 `liveness_face` 素材时，将返回的 `GroupId` 作为 `group_id`。

## 请求示例

```bash theme={null}
curl 'https://api.tokenlab.sh/api/v3?Action=GetVisualValidateResult&Version=2024-01-01' \
  -H "Authorization: Bearer $TOKENLAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"BytedToken":"ZXhhbXBsZS10b2tlbg","ProjectName":"default"}'
```

## 响应示例

```json theme={null}
{
  "ResponseMetadata": {
    "RequestId": "req_def456",
    "Action": "GetVisualValidateResult",
    "Version": "2024-01-01",
    "Service": "ark",
    "Region": "cn-beijing"
  },
  "Result": {
    "GroupId": "group-20260720123456-real1"
  }
}
```

错误使用 `ResponseMetadata.Error.Code` 和 `ResponseMetadata.Error.Message`。成功响应包含 `ResponseMetadata` 和 `Result`，不使用 TokenLab 其他 `/v1` API 的响应结构。
